# Flake-o-rama

Nix Flake dotfiles used on my server.

## Todo

* Use [home-manager](https://github.com/nix-community/home-manager)
* Fix high memory usage on gitea, this may be something with using Argon2? [source](https://discourse.gitea.io/t/how-to-reduce-memory-usage/2947/3)
* Make it so our secrets consist upon reboot (currently just our wifi password, have to set every reboot) (maybe with [Agenix](https://github.com/ryantm/agenix) + [Age](https://github.com/FiloSottile/age)?
* Make everything __modular__.
* Fix systemd output only showing ONE message on the HDMI output. [related issue](https://github.com/NixOS/nixpkgs/issues/179701)

## Development

_Commands here will assume you are currently in the directory of the dotfiles._

- To build the system:
	```sh
		sudo nixos-rebuild switch --flake ".#server"
	```
## Permissions

_Commands here will assume you are currently in the directory of the dotfiles._

File permissions should be done through the following commands:
```sh
	sudo chmod 775 -R .
	sudo chown -R reidlab:dotfiles .
```
